Package com.massivecraft.factions.util

## Class InventoryUtil

- java.lang.Object
- - com.massivecraft.factions.util.InventoryUtil

    public class InventoryUtil
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`InventoryUtil()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static org.bukkit.inventory.Inventory` | `fromBase64​(java.lang.String data, java.lang.String invName)` |
`static java.lang.String` | `InventoryToString​(org.bukkit.inventory.ItemStack[] items)` |
`static org.bukkit.inventory.ItemStack[]` | `StringToInventory​(java.lang.String data)` |
`static java.lang.String` | `toBase64​(org.bukkit.inventory.Inventory inventory)` |
`static java.lang.String` | `toBase64​(org.bukkit.inventory.ItemStack[] is, int size)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InventoryUtil

    public InventoryUtil()

### Method Detail

#### InventoryToString

    public static java.lang.String InventoryToString​(org.bukkit.inventory.ItemStack[] items)
                                              throws java.lang.IllegalStateException

Throws:
  `java.lang.IllegalStateException`

#### StringToInventory

    public static org.bukkit.inventory.ItemStack[] StringToInventory​(java.lang.String data)
                                                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### toBase64

    public static java.lang.String toBase64​(org.bukkit.inventory.Inventory inventory)

#### toBase64

    public static java.lang.String toBase64​(org.bukkit.inventory.ItemStack[] is,
                                            int size)

#### fromBase64

    public static org.bukkit.inventory.Inventory fromBase64​(java.lang.String data,
                                                            java.lang.String invName)